package io.renren.modules.sys.dao.baseimage;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import io.renren.modules.sys.entity.baseimage.BaseImage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface BaseImageMapper extends BaseMapper<BaseImage> {
    int deleteByPrimaryKey(Long baseImageId);

    int insert(BaseImage record);

    int insertSelective(BaseImage record);

    BaseImage selectByPrimaryKey(Long baseImageId);

    int updateByPrimaryKeySelective(BaseImage record);

    int updateByPrimaryKey(BaseImage record);

    @Select("SELECT a.* FROM base_image a ${ew.customSqlSegment}")
    List<BaseImage> getBaseImageInfo(@Param(Constants.WRAPPER) Wrapper wrapper);

}
